List automations
curl --request GET \
--url https://api.example.com/api/v1/automations \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/automations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/automations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "nightly-deps",
"revision": "0123456789abcdef0123456789abcdef0123456789abcdef0123456789abcdef",
"name": "Nightly dependency update",
"description": "Keeps dependencies fresh.",
"target": {
"repository": "fabro-sh/fabro",
"ref": "main",
"workflow": "dependency-update"
},
"triggers": [
{
"id": "manual",
"type": "api",
"enabled": true
}
]
}
],
"meta": {
"total": 1
}
}Automations
List automations
Returns all configured automation definitions.
GET
/
api
/
v1
/
automations
List automations
Authorizations
BearerAuthSessionCookie
Raw dev token passed as Authorization: Bearer fabro_dev_... when server.auth.methods includes dev-token.
⌘I